Skip to content

Get User

POST
/enum.api.v1.ObjectStorageUserService/GetObjectStorageUser
object
projectId
string
id
string

OK

object
objectStorageUser
object
id
string
projectId
string
displayName

Deprecated: use name instead. This field is still populated on responses for backwards compatibility and will be removed in a future API version.

string
createdBy
string
createdAt
string format: date-time
updatedAt
string format: date-time
status
string format: enum
Allowed values: RESOURCE_STATUS_UNSPECIFIED RESOURCE_STATUS_PROVISIONING RESOURCE_STATUS_READY RESOURCE_STATUS_FAILED RESOURCE_STATUS_DELETING
name

Unique name of the object storage user within the project. Replaces display_name.

string
regionId

Region where the user lives (e.g. “fra”).

string